@font-face {
    font-family: Vazir;
    src: url('../fonts/Vazir.eot');
    src: url('../fonts/Vazir.eot?#iefix') format('embedded-opentype'),
        url('../fonts/Vazir.woff2') format('woff2'),
        url('../fonts/Vazir.woff') format('woff'),
        url('../fonts/Vazir.ttf') format('truetype');
    font-weight: normal;
}

@font-face {
    font-family: Vazir;
    src: url('../fonts/Vazir-Bold.eot');
    src: url('../fonts/Vazir-Bold.eot?#iefix') format('embedded-opentype'),
        url('../fonts/Vazir-Bold.woff2') format('woff2'),
        url('../fonts/Vazir-Bold.woff') format('woff'),
        url('../fonts/Vazir-Bold.ttf') format('truetype');
    font-weight: bold;
}

@font-face {
    font-family: Vazir;
    src: url('../fonts/Vazir-Light.eot');
    src: url('../fonts/Vazir-Light.eot?#iefix') format('embedded-opentype'),
        url('../fonts/Vazir-Light.woff2') format('woff2'),
        url('../fonts/Vazir-Light.woff') format('woff'),
        url('../fonts/Vazir-Light.ttf') format('truetype');
    font-weight: 300;
}

@font-face {
    font-family: Vazir;
    src: url('../fonts/Vazir-Medium.eot');
    src: url('../fonts/Vazir-Medium.eot?#iefix') format('embedded-opentype'),
        url('../fonts/Vazir-Medium.woff2') format('woff2'),
        url('../fonts/Vazir-Medium.woff') format('woff'),
        url('../fonts/Vazir-Medium.ttf') format('truetype');
    font-weight: 500;
}

@font-face {
    font-family: Vazir;
    src: url('../fonts/Vazir-Thin.eot');
    src: url('../fonts/Vazir-Thin.eot?#iefix') format('embedded-opentype'),
        url('../fonts/Vazir-Thin.woff2') format('woff2'),
        url('../fonts/Vazir-Thin.woff') format('woff'),
        url('../fonts/Vazir-Thin.ttf') format('truetype');
    font-weight: 100;
}

@font-face {
    font-family: Vazir;
    src: url('../fonts/Vazir-Black.eot');
    src: url('../fonts/Vazir-Black.eot?#iefix') format('embedded-opentype'),
        url('../fonts/Vazir-Black.woff2') format('woff2'),
        url('../fonts/Vazir-Black.woff') format('woff'),
        url('../fonts/Vazir-Black.ttf') format('truetype');
    font-weight: 900;
}

/*---------------------------------- End of fonts ---------------------------------- */
/*---------------------------------- Basic Styling ---------------------------------- */

html,body {
    font-family: 'Vazir', sans-serif !important;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    background: #0f0f0f !important;
    color: #fff !important;
}
a,a:hover,a:focus,a:active{
    text-decoration: none !important;
}
.whitespace{
    width: 100%;
    height: 100px;
}
@media(max-width: 992px){
    main{
        grid-template-columns: repeat(3, 1fr) !important;
        grid-gap: 20px !important;
    }
}
@media(max-width: 768px) {
    .nav {
        margin-top: 20%;
    }

    .contact {
        display: none;
    }
    .whitespace{
        display: none;
    }
    .header h1{
        font-size: 26px;
    }
    .project{
        width: 90% !important;
        margin: 14px auto;
    }
    .vertical{
        display: none;
    }
    .text-project,
    .text-project p,
    .text-project h1
    {
        display: none;
    }
    .collab,
    #personal,
    #personal p,
    #media,
    #media p,
    #address ,
    #address p{
        text-align: center !important;
    }
    .info ul{
        margin:  0 0 0 -50px;
    }
    .hero h1 {
        font-size: 31px !important;
    }
    .bttn{
        display: none;
    }
    .project .detail{
        display: block;
        position: absolute;
        top: 47%;
        left: 10px;
        right: 10px;
        transform: scaleY(0);
        transition: transform .5s;
    }
    .imgBox:hover .detail{
        transform: scaleY(1);
    }
    .project .detail .contentive {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        padding: 15px;
        color: #fff;
        background: rgba(0, 0, 0, 0.8);
    }
    .project .detail .contentive h2{
        text-align: center;
        color: #ffd369;
    }
    .project .detail .contentive p{
        text-align: end;
        margin: 10px 0 0;
    }
    main {
        grid-template-columns: repeat(2, 1fr) !important;
        grid-gap: 15px !important ;
    }
    .blogContent{
        bottom: 0;
    }
}
@media(max-width: 500px) {
    main {
        grid-template-columns: repeat(1, 1fr) !important;
    }
}
/*---------------------------------- End Basic Styling ---------------------------------- */

/*----------------------------------  Hero Section  ---------------------------------- */
.hero{
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}
.hero h1{
    font-weight: lighter;
    font-family:'Roboto Mono',monospace ;
    letter-spacing: 4px;
    line-height: 58px;
    text-align: center;
    position: absolute;
    font-size: 58px;
}
/*---------------------------------- End Hero Section  ---------------------------------- */
/*---------------------------------- Scroll Down Animation ---------------------------------- */
.scroll-down{
    position: absolute;
    left: 50%;
    bottom: 100px;
    display: block;
    text-align: center;
    font-size: 20px;
    z-index: 1;
    text-decoration: none;
    text-shadow: 0;
    width: 13px;
    height: 13px;
    border-bottom: 2px solid #fff;
    border-right: 2px solid #fff;
    -webkit-transform: translate(-50%,0) rotate(45deg);
    animation: fade_move_down 3s cubic-bezier(0.19,1,0.22,1) infinite;
}
.scroll-down-2{
    position: absolute;
    left: 50%;
    bottom: 105px;
    display: block;
    text-align: center;
    font-size: 20px;
    z-index: 1;
    text-decoration: none;
    text-shadow: 0;
    width: 13px;
    height: 13px;
    border-bottom: 2px solid #fff;
    border-right: 2px solid #fff;
    -webkit-transform: translate(-50%,0) rotate(45deg);
    animation: fade_move_down 3s cubic-bezier(0.19,1,0.22,1) infinite;
}
@keyframes fade_move_down{
    0%{
        transform: translate(0,-20px) rotate(45deg);
        opacity: 0;
    }
    50%{
        opacity: 1;
    }
    100%{
        transform: translate(0,-20px) rotate(45deg);
        opacity: 0;
    }
}


/*---------------------------------- End Scroll Down Animation ---------------------------------- */

/*---------------------------------- Sample Section ---------------------------------- */
h6{
    text-align: center;
}
.vertical{
    margin-top: 40px;
    border-left: 1px solid #fff;
    height: 60px;
    position: absolute;
    left: 50%;
}
.project{
    height: 500px;
}
.picture{
    width: 100%;
    height: 100%;
}
.imgBox{
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
}
.imgBox img{
    transition: transform 2s;
}
.project:hover .imgBox img{
    transform: scale(1.2);
}
.detail{
    display: none;
}
.text-project{
    margin: 15% 0;
}
.text-project h1 {
    font-size: 36px;
    position: relative;
    color: #fff;
    display: block;
    text-align: center;
}
.text-project p {
    font-size: 13px;
    padding: 12px 0px;
    margin: 10px 0 0 48px;
    text-align: end;
    color:#c7c7c7;
    width: 80%;
}
.bttn{
    display: flex;
    justify-content: center;
    margin: 10px 0;
    padding: 10px 0;
}


/*---------------------------------- End Sample Section ---------------------------------- */
/*----------------------------------  blog Section ---------------------------------- */
.slider{
    width: 100%;
    position: relative;
}
.slick-slide:focus{
    outline: none;
}
.slick-slide img{
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
}
.slick-slide{
    transition: all ease-in-out 1s;
    opacity: .2;
}
.slick-active{
    opacity: .2;
}
.slick-current{
    opacity: 1;    
}
.blogContent h3{
    color: #ffd369;
    margin: 10px 0 ;
}
.blogContent p{
    margin-top: 5px;
    color: #c7c7c7;
    text-align: end;
    padding:5px 10px;
}
.blogContent a{
    color: gray;
}
.blogContent{
    width: 100%;
    display: flex;
    text-align: center;
    justify-content: center;
    flex-direction: column;
    margin: 0 -20px;
}

/*---------------------------------- End blog Section ---------------------------------- */

.hero-section{
    width: 100%;
    height: 100%;
}
a:hover{
    color: #ffd369 !important;
    transition: 1s all ease-in-out !important;
}
.brand{
    font-family: 'Roboto Mono', monospace;
    position: fixed;
    margin: 1rem;
    font-size: 19px;
    font-weight: 400;
    top: 0;
    right: 0;
    z-index: 9;
}
.brand a{
    color: #fff !important;
}
.brand a:hover{
    color: #ffd369 !important;
    transition: 1.1s all ease-in-out !important;
}
.menu{
    position: fixed;
    top: 0;
    width: 100%;
    height: 100vh;
    background-color: #121212;
    opacity: 0;
    z-index: 10;
}
.menu-btn {
    position: fixed;
    margin: 1rem;
    font-size: 24px;
    z-index: 9;
}
.close-menu{
    position: fixed;
    margin:1em;
    font-size: 24px;
    z-index: 1;
    color: #fff;
}
.nav{
    position: absolute;
    right: 21%;
    margin-top:8%;
    text-align: right;
}
.nav ul{
    list-style: none;
}
.main-menu-item{
    padding-top:30px;
    font-size: 18px;
}
.main-menu-item a{
    text-decoration: none;
    color: #fff;
    font-weight: lighter;
}
.submenu{
    display: none;
    padding:5px 10px;
}
.submenu li{
    margin: 20px 0;
}
submenu-item{
    color: gray;
}
a i{
    position: relative;
    font-size: 9px;
    opacity: 0.4;
}
.contact {
    color: #fff;
    position: absolute;
    bottom: 70px;
    left: 24%;
}
.contact p{
    font-weight: lighter;
    color: #c7c7c7;
    font-family: 'Helvetica' !important;
}
.media{   
    position: absolute;
    bottom: 70px;
    right:  22%;
}
.media ul {
    list-style: none;
}
.media ul li{
    display: inline-block;
    color: #c7c7c7;
    font-weight: lighter;
    padding-right: 16px;
}
/* ------------------------footer------------------------ */
.collab{
    text-align: center;
    white-space: nowrap;
    margin: 0 auto;
    display: flex;
    justify-content: center;
}
.collab p{
    font-weight: lighter;
    margin-bottom: 20px;
}
.hr{
    background: rgba(255, 255, 255, 0.2);
    height: 1px;
}
.info h4{
    font-size: 18px;
    font-weight: lighter;
    text-align: center;
    color: #c7c7c7;
}
.info p{
    color: #c7c7c7;
    font-weight: lighter;
    text-align: right;
}
.info li{
    font-weight: lighter;
    color: #fff;
    font-size: 18px;
    padding-left: 20px;
}

#ln::before{
    display: inline-block;
    content: '';
    border-radius: 100%;
    height: 4px;
    width: 4px;
    margin-right: 6px;
    background: #0077B5;
}
#ln i{
    color: #0077B5;
    font-size: 18px;
}
#in::before {
    display: inline-block;
    content: '';
    border-radius: 100%;
    height: 4px;
    width: 4px;
    margin-right: 6px;
    background: #e4405f;
}
#in i{
    color: #e4405f;
    font-size: 18px;
}
#tw::before {
    display: inline-block;
    content: '';
    border-radius: 100%;
    height: 4px;
    width: 4px;
    margin-right: 6px;
    background: #55acee;
}
#tw i{
    color: #55acee;
    font-size: 18px;
}
#te::before {
    display: inline-block;
    content: '';
    border-radius: 100%;
    height: 4px;
    width: 4px;
    margin-right: 6px;
    background: #0084ff;
}
#te i{
    color:#0084ff;
    font-size: 18px;
}
#media , #address {
    text-align: right;
}
#media ul{
    list-style: none;
}
#media ul li{
    display: inline-block;
}